ssget with two filters

Discussion in 'AutoCAD' started by kyheulon, Sep 22, 2004.

  1. kyheulon

    kyheulon Guest

    Everyone,

    This works for me....
    (setq test (ssget "x" '((2 . "rwa-info") (410 . "layout1"))))

    But I want to be able to use the current layout instead of the "layout1", so I try this with and error of "bad point argument"...
    (setq blk (cons 2 "blkname"))
    (setq clayout (cons 410 (getvar "ctab")))
    (setq test (ssget "x" blk clayout))

    Any ideas on how to make this work?

    Thanks
     
    kyheulon, Sep 22, 2004
    #1
  2. kyheulon

    David Bethel Guest

    Hown about:

    (setq test (ssget "x" (list blk clayout)))

    -David
     
    David Bethel, Sep 22, 2004
    #2
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.